[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.Prepare

Prepare the statement for execution

## Declaration

Source position: sqldb.pp line 423

`public procedure TCustomSQLStatement.Prepare;`

## Description

Prepare prepares the SQL statement for execution. It is called automatically if Execute is called and the statement was not yet prepared. Depending on the database engine, it will also allocate the necessary resources on the database server.

## Errors

An exception is raised if there is no SQL statement set or the Database or Transaction properties are empty.

## See also

TSQLStatement.SQL |  | The SQL statement to execute
TSQLStatement.Database |  | Database instance to execute statement on.
TSQLStatement.Transaction |  | The transaction in which the SQL statement should be executed.
TCustomSQLStatement.Execute |  | Execute the SQL statement.